## linuxmuster-linbo 2.2.16-0

=== linbo_gui/Makefile ===
#############################################################################
# Makefile for building: linbo_gui
# Generated by qmake (2.01a) (Qt 4.8.5) on: Mi. Jul 30 17:55:35 2014
# Project:  linboGUI.pro
# Template: app
# Command: /home/tschmitt/Entwicklung/linbo/testing/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/bin/qmake -spec qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -o Makefile linboGUI.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB
CFLAGS        = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O2 -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -Iqt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -I. -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/QtCore -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/QtNetwork -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/QtGui -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include/Qt3Support -I../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/include -I. -I. -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -Wl,-rpath,/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib
LIBS          = $(SUBLIBS)  -L/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib -lQt3Support -L/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib -lQtSql -lQtXml -lQtGui -lQtNetwork -lQtCore -lm -ldl -lrt -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /home/tschmitt/Entwicklung/linbo/testing/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = image_description.cc \
		linboConsoleImpl.cc \
		linboCounterImpl.cc \
		linboGUIImpl.cc \
		linboImageSelectorImpl.cc \
		linboImageUploadImpl.cc \
		linboInfoBrowserImpl.cc \
		linboInputBoxImpl.cc \
		linboMsgImpl.cc \
		linboMulticastBoxImpl.cc \
		linboPasswordBoxImpl.cc \
		linboProgressImpl.cc \
		linboPushButton.cc \
		linboLogConsole.cc \
		linboRegisterBoxImpl.cc \
		linboYesNoImpl.cc \
		main.cc moc_linboConsoleImpl.cpp \
		moc_linboCounterImpl.cpp \
		moc_linboGUIImpl.cpp \
		moc_linboImageSelectorImpl.cpp \
		moc_linboImageUploadImpl.cpp \
		moc_linboInfoBrowserImpl.cpp \
		moc_linboInputBoxImpl.cpp \
		moc_linboMsgImpl.cpp \
		moc_linboMulticastBoxImpl.cpp \
		moc_linboPasswordBoxImpl.cpp \
		moc_linboProgressImpl.cpp \
		moc_linboPushButton.cpp \
		moc_linboRegisterBoxImpl.cpp \
		moc_linboYesNoImpl.cpp \
		qrc_linbo.cpp
OBJECTS       = image_description.o \
		linboConsoleImpl.o \
		linboCounterImpl.o \
		linboGUIImpl.o \
		linboImageSelectorImpl.o \
		linboImageUploadImpl.o \
		linboInfoBrowserImpl.o \
		linboInputBoxImpl.o \
		linboMsgImpl.o \
		linboMulticastBoxImpl.o \
		linboPasswordBoxImpl.o \
		linboProgressImpl.o \
		linboPushButton.o \
		linboLogConsole.o \
		linboRegisterBoxImpl.o \
		linboYesNoImpl.o \
		main.o \
		moc_linboConsoleImpl.o \
		moc_linboCounterImpl.o \
		moc_linboGUIImpl.o \
		moc_linboImageSelectorImpl.o \
		moc_linboImageUploadImpl.o \
		moc_linboInfoBrowserImpl.o \
		moc_linboInputBoxImpl.o \
		moc_linboMsgImpl.o \
		moc_linboMulticastBoxImpl.o \
		moc_linboPasswordBoxImpl.o \
		moc_linboProgressImpl.o \
		moc_linboPushButton.o \
		moc_linboRegisterBoxImpl.o \
		moc_linboYesNoImpl.o \
		qrc_linbo.o
DIST          = qt-everywhere-opensource-src-4.8.5/mkspecs/common/unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/linux.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/qws.conf \
		../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/mkspecs/qconfig.pri \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_functions.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_config.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/exclusive_builds.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_pre.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/release.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_post.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/static.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/warn_on.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/unix/thread.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/moc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/resources.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/uic.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/yacc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/lex.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/include_source_dir.prf \
		linboGUI.pro
QMAKE_TARGET  = linbo_gui
DESTDIR       = 
TARGET        = linbo_gui

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_linboConsole.h ui_linboCounter.h ui_linboGUI.h ui_linboImageSelector.h ui_linboImageUpload.h ui_linboInfoBrowser.h ui_linboInputBox.h ui_linboMovie.h ui_linboMsg.h ui_linboMulticastBox.h ui_linboPasswordBox.h ui_linboProgress.h ui_linboRegisterBox.h ui_linboYesNo.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
	strip $(TARGET)

Makefile: linboGUI.pro  qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++/qmake.conf qt-everywhere-opensource-src-4.8.5/mkspecs/common/unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/linux.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-base.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-unix.conf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/common/qws.conf \
		../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/mkspecs/qconfig.pri \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_functions.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_config.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/exclusive_builds.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_pre.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/release.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_post.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/static.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/warn_on.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/unix/thread.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/moc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/resources.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/uic.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/yacc.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/lex.prf \
		qt-everywhere-opensource-src-4.8.5/mkspecs/features/include_source_dir.prf \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQt3Support.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtSql.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtCore.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtXml.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtGui.prl \
		/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtNetwork.prl
	$(QMAKE) -spec qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -o Makefile linboGUI.pro
qt-everywhere-opensource-src-4.8.5/mkspecs/common/unix.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/linux.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/gcc-base-unix.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-base.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/g++-unix.conf:
qt-everywhere-opensource-src-4.8.5/mkspecs/common/qws.conf:
../../../devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/mkspecs/qconfig.pri:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_functions.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt_config.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/exclusive_builds.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_pre.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/release.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/default_post.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/static.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/warn_on.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/qt.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/unix/thread.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/moc.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/resources.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/uic.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/yacc.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/lex.prf:
qt-everywhere-opensource-src-4.8.5/mkspecs/features/include_source_dir.prf:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQt3Support.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtSql.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtCore.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtXml.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtGui.prl:
/home/tschmitt/Entwicklung/linbo/devel/linuxmuster-linbo/linbo_gui/qt-everywhere-opensource-src-4.8.5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -spec qt-everywhere-opensource-src-4.8.5/mkspecs/qws/linux-x86-g++ -o Makefile linboGUI.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/linbo_gui1.0.0 || $(MKDIR) .tmp/linbo_gui1.0.0

## linuxmuster-linbo 2.2.12-0

=== debian/changelog ===
linuxmuster-linbo (2.2.12-0) babo; urgency=low

  * linbo-remote:
    - using wakeonlan instead of etherwake for linbo-remote's wol functions (closes #399).
    - added handling of linbo-clients which are already online (see #391).
    - fixed standalone usage of -w (closes #400). 
  * init.sh: added disabling of AutoInitCache to noauto kernel option (see #391).
  * rsync-pre-download.sh: fixed machine account password update (closes #396).
  * linbo_cmd (restore_winact), rsync-pre-download.sh:
    - fixed windows 7 reactivation (closes #394).
    - prepared usage of office activation keys (see #297).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 29 Oct 2014 12:42:03 +0000

linuxmuster-linbo (2.2.11-0) babo; urgency=low

  * reworked onboot linbocmd handling to support local booted clients (closes #391).
  * added noauto kernel option which disables AutoPartition and AutoFormat
    (used by linbo-remote -c).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 12 Oct 2014 14:48:17 +0000

linuxmuster-linbo (2.2.10-1) babo; urgency=low

  * linbo-remote: fixed removement of pxe boot files.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 11 Oct 2014 19:17:54 +0000

linuxmuster-linbo (2.2.10-0) babo; urgency=low

  * linbo-remote, wake-on-lan: added client boot success test and removement of 
    pxe boot files of not booted clients (closes #390).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 10 Oct 2014 20:21:38 +0000

linuxmuster-linbo (2.2.9-1) babo; urgency=low

  * linbo_wrapper, get_partitions(): improved start.conf parser.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 09 Oct 2014 06:59:14 +0000

linuxmuster-linbo (2.2.9-0) babo; urgency=low

  * fixes bootable flag handling in linbo_wrapper and linbo_cmd (closes #385).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 07 Oct 2014 11:38:39 +0000

linuxmuster-linbo (2.2.8-0) babo; urgency=low

  * linbo-remote:
    * introduced new options for use together with -p:
      -n to bypass a start.conf configured autostart and
      -d to disable start, sync and new buttons on next boot.
    * restored old behaviour of -c option with bypassed autostart and
      disabled buttons on next boot (closes #384).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 06 Oct 2014 11:14:35 +0000

linuxmuster-linbo (2.2.7-0) babo; urgency=low

  * fixed torrent creation in linbo-bittorrent initscript (closes #335).
  * added Yannik's fix for Default User HKCU regpatch (closes #362).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 26 Sep 2014 09:27:22 +0000

linuxmuster-linbo (2.2.6-1) babo; urgency=low

  * changed also splash.pnm to new wallpaper.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 31 Jul 2014 16:16:33 +0000

linuxmuster-linbo (2.2.6-0) babo; urgency=low

  * linbo-remote: -w can now be used together with -p (closes #325).
  * fixed local linbo update per initcache command (closes #326).
  * changed linbo wallpaper to Frank's green one.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 31 Jul 2014 09:37:04 +0000

linuxmuster-linbo (2.2.5-0) precise-testing; urgency=low

  * package dependencies: changed xz-lzma to xz-utils.
  * linbo_cmd: added swapfile to rsync excludes.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 03 Jul 2014 15:09:38 +0000

linuxmuster-linbo (2.2.4-0) precise-testing; urgency=low

  * kernel downgrade to 3.2.53 (ubuntu's version 3.2.0-58.88).
  * fixed grub-install with multiple disks (closes #305).
  * removed info file handling for linbo/linbofs.lz because rsync handles
    remote file update efficently anyway.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 11 Apr 2014 14:29:07 +0000

linuxmuster-linbo (2.2.3-0) precise-testing; urgency=low

  * kernel update to 3.2.55 (ubuntu version 3.2.0-61).
  * backports modules update to 3.13.2.
  * included bnx2 firmware.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 11 Apr 2014 14:29:07 +0000

linuxmuster-linbo (2.2.2-0) precise-testing; urgency=low

  * kernel:
    - update to 3.2.55,
    - included bnx2x firmware.
  * ntfs-3g update to 2014.2.15.
  * rsync-pre-download.sh: changes win productkey to upper case.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 28 Mar 2014 18:53:15 +0000

linuxmuster-linbo (2.2.1-0) precise-testing; urgency=low

  * implemented win7 reactivation support (closes #297).
  * init.sh fix: cache partition was not parsed correctly from start.conf.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 23 Mar 2014 17:47:50 +0000

linuxmuster-linbo (2.2.0-1) precise-testing; urgency=low

  * postinst: fixed orphaned PXETPLDIR variable.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 12 Mar 2014 19:26:11 +0000

linuxmuster-linbo (2.2.0-0) precise-testing; urgency=low

  * pxe boot extensions (closes #286):
    - added linbo-wrapper commands as kernel parameter:
      linbocmd=<cmd1>,<cmd2> (see help of linbo-remote).
    - changed linbo wallpaper and boot logo.
    - added fbcondecor patch to linbo kernel.
    - implemented splash output for boot process, new splash kernel option.
    - changed to atftpd as default tftp server so that we can use pipes.
    - added -p parameter to linbo-remote to create a one time pxeboot configuration file
      with commands which will be automatically executed on next client boot,
      it is created as a pipe therefore it can be deleted once the client
      has requested it.
  * pxe boot configuration improvements (closes #288):
    - added new global start.conf option "KernelOptions" for group
      specific linbo kernel parameters.
    - postinst invokes automatical update of existing start.conf files.
  * opsi support (closes #282):
    - new image.opsi file which contains the current opsi state of the imaged client.
    - new rsync-post-download script to handle opsi status update for client.
    - on image creation a image.opsi file which reflects the current opsi
      state is added on post upload.


=== debian/control ===
Source: linuxmuster-linbo
Section: admin
Priority: extra
Maintainer: Thomas Schmitt <thomas@linuxmuster.net>
Build-Depends: bison, build-essential, bvi, coreutils, debhelper, dosfstools, dpkg-dev, dropbear, e2fsprogs, ethtool, fakeroot, flex, g++, gcc, gettext, grep, gzip, libacl1-dev, libattr1-dev, libaudio-dev, libcups2-dev, libdevmapper-dev, libfontconfig1-dev, libfreetype6-dev, libfuse-dev, libgl1-mesa-dev, libglu1-mesa-dev, libice-dev, libiodbc2-dev, libjpeg-dev, libmng-dev, libmysqlclient-dev, libncurses5-dev, libpng12-dev, libpopt-dev, libpq-dev, libsm-dev, libsqlite3-dev, libstdc++6, libx11-dev, libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxinerama-dev, libxmu-dev, libxrandr-dev, libxrender-dev, libxt-dev, nasm, ncurses-base, patchutils, perl, reiserfsprogs, sysvinit-utils, tar, udev, udpcast, unzip, util-linux, wget, xz-utils, zlib1g-dev

Package: linuxmuster-linbo
Architecture: all
Depends: linuxmuster-base (>= 6.1.0), rsync (>= 3), bittorrent, dropbear, ssh, sed, screen, mkisofs, dosfstools, atftpd (>= 0.7.dfsg-11.1), udpcast, xz-utils, zip, mbr, wakeonlan
Suggests: isc-dhcp-server | dhcp3-server
Recommends: wodim, ldap-utils
Description: LINBO PXE boot files
 This package contains the bootfiles and multicast startscripts
 for the Linux-based Network Boot (LINBO) boot/install/repair system.
 Installation and configuration of a DHCP, TFTP and RSYNC server, as well
 as udpcast, is highly recommended for this to work.

=== debian/rules ===
#!/usr/bin/make -f
#
# thomas@linuxmuster.net
# 30.07.2014
# GPL v3
#

export DH_COMPAT=5

CURDIR=$(shell pwd)

LML_URL=http://linuxmuster.de/linbo-build-cache

# linbo version
LVERS=$(shell head -n 1 debian/changelog | awk -F\( '{ print $$2 }' | awk -F\) '{ print $$1 }')

# kernel
VESAMODE=785 # 640x480, 64k colors
#VESAMODE=771 # 800x600, 256 colors
# VESAMODE=0 # VGA16
# VESAMODE=791 # 1024x768, 64k colors # Currently not working
KERNEL_ARCHIVE=$(shell grep " linux-" debian/md5sums.src | awk '{ print $$2 }')
KVERS=$(shell echo $(KERNEL_ARCHIVE) | sed -e 's/linux-//' | sed -e 's/.tar.xz//')
KERNEL_DIR=kernel/linux-$(KVERS)
#KERNEL_URL=http://www.kernel.org/pub/linux/kernel/v3.x
KERNEL_URL=$(LML_URL)

# cloop
CLOOP_ARCHIVE=$(shell grep cloop_ debian/md5sums.src | awk '{ print $$2 }')
CLOOP_DIR=kernel/cloop-$(shell echo $(CLOOP_ARCHIVE) | awk -F_ '{ print $$2 }' | sed -e 's/-[0-9].tar.gz//')
CLOOP_URL=http://debian-knoppix.alioth.debian.org/packages/cloop
#CLOOP_URL=$(LML_URL)

# virtualbox-guest
VBOX_ARCHIVE=$(shell grep virtualbox-guest- debian/md5sums.src | awk '{ print $$2 }')
VBOX_DIR=kernel/$(shell echo $(VBOX_ARCHIVE) | sed -e 's/.tar.bz2//')
VBOX_URL=$(LML_URL)

# backports
BACKPORTS_ARCHIVE=$(shell grep backports- debian/md5sums.src | awk '{ print $$2 }')
BACKPORTS_DIR=kernel/$(shell echo $(BACKPORTS_ARCHIVE) | sed -e 's/.tar.xz//')
BACKPORTS_URL=http://www.kernel.org/pub/linux/kernel/projects/backports/stable/v3.13.2

# intel e1000e driver
E1000E_ARCHIVE=$(shell grep e1000e- debian/md5sums.src | awk '{ print $$2 }')
E1000E_DIR=kernel/$(shell echo $(E1000E_ARCHIVE) | sed -e 's/.tar.gz//')
E1000E_URL=http://downloadmirror.intel.com/15817/eng

# qt
QT_ARCHIVE=$(shell grep qt- debian/md5sums.src | awk '{ print $$2 }')
QT_DIR=linbo_gui/$(shell echo $(QT_ARCHIVE) | sed -e 's/.tar.gz//')
QT_URL=http://download.qt-project.org/official_releases/qt/4.8/4.8.5
#QT_URL=$(LML_URL)

# busybox
BB_ARCHIVE=$(shell grep busybox- debian/md5sums.src | awk '{ print $$2 }')
BB_DIR=src/$(shell echo $(BB_ARCHIVE) | sed -e 's/.tar.bz2//')
BB_URL=http://busybox.net/downloads

# chntpw
CHNTPW_ARCHIVE=$(shell grep chntpw- debian/md5sums.src | awk '{ print $$2 }')
CHNTPW_DIR=src/$(shell echo $(CHNTPW_ARCHIVE) | sed -e 's/-source//' | sed -e 's/.zip//')
CHNTPW_URL=http://pogostick.net/~pnh/ntpasswd

# kexec-tools
KEXEC_ARCHIVE=$(shell grep kexec-tools- debian/md5sums.src | awk '{ print $$2 }')
KEXEC_DIR=src/$(shell echo $(KEXEC_ARCHIVE) | sed -e 's/.tar.bz2//')
#KEXEC_DIR=src/$(shell echo $(KEXEC_ARCHIVE) | sed -e 's/.tar.gz//')
#KEXEC_URL=http://ftp.kernel.org/pub/linux/kernel/people/horms/kexec-tools
KEXEC_URL=$(LML_URL)

# grub4dos
GRUB4DOS_ARCHIVE=$(shell grep grub4dos- debian/md5sums.src | awk '{ print $$2 }')
GRUB4DOS_DIR=src/$(shell echo $(GRUB4DOS_ARCHIVE) | sed -e 's/.tar.xz//')
GRUB4DOS_URL=$(LML_URL)/$(GRUB4DOS_ARCHIVE)

# ms-sys
MSSYS_ARCHIVE=$(shell grep ms-sys- debian/md5sums.src | awk '{ print $$2 }')
MSSYS_DIR=src/$(shell echo $(MSSYS_ARCHIVE) | sed -e 's/.tar.gz//')
MSSYS_URL=$(LML_URL)

# ntfs-3g
NTFS3G_ARCHIVE=$(shell grep ntfs-3g_ntfsprogs- debian/md5sums.src | awk '{ print $$2 }')
NTFS3G_DIR=src/$(shell echo $(NTFS3G_ARCHIVE) | sed -e 's/.tgz//')
NTFS3G_URL=http://tuxera.com/opensource

# rsync
RSYNC_ARCHIVE=$(shell grep rsync- debian/md5sums.src | awk '{ print $$2 }')
RSYNC_DIR=src/$(shell echo $(RSYNC_ARCHIVE) | sed -e 's/.tar.gz//')
RSYNC_URL=http://rsync.samba.org/ftp/rsync/src

# ssmtp
SSMTP_ARCHIVE=$(shell grep ssmtp_ debian/md5sums.src | awk '{ print $$2 }')
SSMTP_DIR=src/ssmtp
#SSMTP_URL=http://archive.ubuntu.com/ubuntu/pool/universe/s/ssmtp
SSMTP_URL=$(LML_URL)

# syslinux
SYSLINUX_ARCHIVE=$(shell grep syslinux- debian/md5sums.src | awk '{ print $$2 }')
SYSLINUX_DIR=src/$(shell echo $(SYSLINUX_ARCHIVE) | sed -e 's/.tar.xz//')
#SYSLINUX_URL=http://www.kernel.org/pub/linux/utils/boot/syslinux
SYSLINUX_URL=$(LML_URL)

# ctorrent
CTORRENT_ARCHIVE=$(shell grep ctorrent- debian/md5sums.src | awk '{ print $$2 }')
CTORRENT_DIR=src/$(shell echo $(CTORRENT_ARCHIVE) | sed -e 's/.tar.gz//')
CTORRENT_URL=http://www.rahul.net/dholmes/ctorrent

configure: configure-stamp
configure-stamp:
	dh_testdir

	# make necessary build dirs
	mkdir -p cache || true
	mkdir -p kernel || true
	mkdir -p src || true

	# download and unpack sources

	# busybox
	-@if [ ! -d $(BB_DIR) ]; then \
		( [ -e cache/$(BB_ARCHIVE) ] || ( cd cache && wget $(BB_URL)/$(BB_ARCHIVE) ) ); \
		( cd cache && grep $(BB_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(BB_ARCHIVE)...[0m" ; \
		tar xf cache/$(BB_ARCHIVE) -C src; \
		cp conf/busybox.conf $(BB_DIR)/.config; \
		ln -sf ../$(BB_DIR) src/busybox; \
	fi

	# grub4dos
	-@if [ ! -d $(GRUB4DOS_DIR) ]; then \
		( [ -e cache/$(GRUB4DOS_ARCHIVE) ] || ( cd cache && wget $(GRUB4DOS_URL) ) ); \
		( cd cache && grep $(GRUB4DOS_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(GRUB4DOS_ARCHIVE)...[0m" ; \
		tar xf cache/$(GRUB4DOS_ARCHIVE) -C src; \
#		echo "[1mPatching grub4dos sources...[0m" ; \
#		( cd $(GRUB4DOS_DIR) && for i in ../../patches/grub4dos/*; do patch -p1 <$$i; done ); \
#		chmod 755 $(GRUB4DOS_DIR)/configure; \
		ln -sf ../$(GRUB4DOS_DIR) src/grub4dos; \
	fi

	# chntpw
	-@if [ ! -d $(CHNTPW_DIR) ]; then \
		( [ -e cache/$(CHNTPW_ARCHIVE) ] || ( cd cache && wget $(CHNTPW_URL)/$(CHNTPW_ARCHIVE) ) ); \
		( cd cache && grep $(CHNTPW_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(CHNTPW_ARCHIVE)...[0m" ; \
		( cd src && unzip ../cache/$(CHNTPW_ARCHIVE) ); \
		ln -sf ../$(CHNTPW_DIR) src/chntpw; \
	fi

	# kexec-tools
	-@if [ ! -d $(KEXEC_DIR) ]; then \
		( [ -e cache/$(KEXEC_ARCHIVE) ] || ( cd cache && wget $(KEXEC_URL)/$(KEXEC_ARCHIVE) ) ); \
		( cd cache && grep $(KEXEC_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(KEXEC_ARCHIVE)...[0m" ; \
		tar xf cache/$(KEXEC_ARCHIVE) -C src; \
		ln -sf ../$(KEXEC_DIR) src/kexec-tools; \
	fi

	# ms-sys
	-@if [ ! -d $(MSSYS_DIR) ]; then \
		( [ -e cache/$(MSSYS_ARCHIVE) ] || ( cd cache && wget $(MSSYS_URL)/$(MSSYS_ARCHIVE) ) ); \
		( cd cache && grep $(MSSYS_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(MSSYS_ARCHIVE)...[0m" ; \
		tar xf cache/$(MSSYS_ARCHIVE) -C src; \
		ln -sf ../$(MSSYS_DIR) src/ms-sys; \
	fi

	# ntfs-3g
	-@if [ ! -d $(NTFS3G_DIR) ]; then \
		( [ -e cache/$(NTFS3G_ARCHIVE) ] || ( cd cache && wget $(NTFS3G_URL)/$(NTFS3G_ARCHIVE) ) ); \
		( cd cache && grep $(NTFS3G_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(NTFS3G_ARCHIVE)...[0m" ; \
		tar xf cache/$(NTFS3G_ARCHIVE) -C src; \
		ln -sf ../$(NTFS3G_DIR) src/ntfs-3g; \
	fi

	# rsync
	-@if [ ! -d $(RSYNC_DIR) ]; then \
		( [ -e cache/$(RSYNC_ARCHIVE) ] || ( cd cache && wget $(RSYNC_URL)/$(RSYNC_ARCHIVE) ) ); \
		( cd cache && grep $(RSYNC_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(RSYNC_ARCHIVE)...[0m" ; \
		tar xf cache/$(RSYNC_ARCHIVE) -C src; \
		echo "[1mPatching rsync sources...[0m" ; \
		( cd $(RSYNC_DIR) && for i in ../../patches/rsync/*; do patch -p1 <$$i; done ); \
		ln -sf ../$(RSYNC_DIR) src/rsync; \
	fi

	# ssmtp
	-@if [ ! -d $(SSMTP_DIR) ]; then \
		( [ -e cache/$(SSMTP_ARCHIVE) ] || ( cd cache && wget $(SSMTP_URL)/$(SSMTP_ARCHIVE) ) ); \
		( cd cache && grep $(SSMTP_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(SSMTP_ARCHIVE)...[0m" ; \
		tar xf cache/$(SSMTP_ARCHIVE) -C src; \
		echo "[1mPatching ssmtp sources...[0m" ; \
		( cd $(SSMTP_DIR) && for i in ../../patches/ssmtp/*; do patch -p1 <$$i; done ); \
	fi

	# syslinux
	-@if [ ! -d $(SYSLINUX_DIR) ]; then \
		( [ -e cache/$(SYSLINUX_ARCHIVE) ] || ( cd cache && wget $(SYSLINUX_URL)/$(SYSLINUX_ARCHIVE) ) ); \
		( cd cache && grep $(SYSLINUX_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
		echo "[1mUnpacking $(SYSLINUX_ARCHIVE)...[0m" ; \
		tar xf cache/$(SYSLINUX_ARCHIVE) -C src; \
		ln -sf ../$(SYSLINUX_DIR) src/syslinux; \
	fi

	# ctorrent

## linuxmuster-linbo 2.2.15-0

=== debian/changelog ===
linuxmuster-linbo (2.2.15-0) babo; urgency=low

  * Added PAE in kernel again.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 13 Feb 2015 10:41:02 +0000

linuxmuster-linbo (2.2.14-0) babo; urgency=low

  * update(): restores start.conf in cache if partition was formatted before (closes #420).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 20 Jan 2015 13:18:05 +0100

linuxmuster-linbo (2.2.13-2) babo; urgency=low

  * Rebuild.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 15 Jan 2015 18:28:37 +0000

linuxmuster-linbo (2.2.13-1) babo; urgency=low

  * Back to kernel 3.2.53.
  * Fixed build depends.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 19 Dec 2014 19:13:15 +0000

linuxmuster-linbo (2.2.13-0) babo; urgency=low

  * Component updates:
    * Kernel 3.2.64.
    * Backports 3.17.1-1.
    * chntpw 140201.
  * Removed PAE feature from kernel (closes #417).
  * Added e2label and ntfslabel to linbofs.
  * Stripped ntfsprogs binaries.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 17 Dec 2014 09:02:50 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # thomas@linuxmuster.net
-# 30.07.2014
+# 19.12.2014
 # GPL v3
 #
 
@@ -106,6 +106,9 @@
 CTORRENT_DIR=src/$(shell echo $(CTORRENT_ARCHIVE) | sed -e 's/.tar.gz//')
 CTORRENT_URL=http://www.rahul.net/dholmes/ctorrent
 
+# compiler flags
+export CFLAGS=-m32
+
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
@@ -202,7 +205,3 @@
 		( cd cache && grep $(SYSLINUX_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
 		echo "[1mUnpacking $(SYSLINUX_ARCHIVE)...[0m" ; \
 		tar xf cache/$(SYSLINUX_ARCHIVE) -C src; \
-		ln -sf ../$(SYSLINUX_DIR) src/syslinux; \
-	fi
-
-	# ctorrent

## linuxmuster-linbo 2.2.16-0

=== debian/changelog ===
linuxmuster-linbo (2.2.16-0) babo; urgency=low

  * added patching of opsi server ip in case of windows client sync (closes #449).
  * added broadcom tg3 module update version 3.137h (closes #455).
  * added handling of office key activation (closes #297).
  * improved error handling in conjunction with windows/office reactivation.
  * added ability to share additional files and folders with linbo's torrent infrastructure (closes #456).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 22 Mar 2015 16:27:34 +0000

=== debian/control ===
Source: linuxmuster-linbo
Section: admin
Priority: extra
Maintainer: Thomas Schmitt <thomas@linuxmuster.net>
Build-Depends: bc, bison, build-essential, bvi, coreutils, debhelper, dosfstools, dpkg-dev, dropbear, e2fsprogs, ethtool, fakeroot, flex, g++, gcc, gettext, grep, gzip, libacl1-dev, libattr1-dev, libaudio-dev, libcups2-dev, libdevmapper-dev, libfontconfig1-dev, libfreetype6-dev, libfuse-dev, libgl1-mesa-dev, libglu1-mesa-dev, libice-dev, libiodbc2-dev, libjpeg-dev, libmng-dev, libmysqlclient-dev, libncurses5-dev, libpng12-dev, libpopt-dev, libpq-dev, libsm-dev, libsqlite3-dev, libstdc++6, libx11-dev, libxcursor-dev, libxext-dev, libxft-dev, libxi-dev, libxinerama-dev, libxmu-dev, libxrandr-dev, libxrender-dev, libxt-dev, nasm, ncurses-base, patchutils, perl, reiserfsprogs, sysvinit-utils, tar, udev, udpcast, unzip, util-linux, wget, xserver-xorg-input-vmmouse, xz-lzma, zlib1g-dev

Package: linuxmuster-linbo
Architecture: all
Depends: linuxmuster-base (>= 6.1.0), rsync (>= 3), bittorrent, dropbear, ssh, sed, screen, mkisofs, dosfstools, atftpd (>= 0.7.dfsg-11.1), udpcast, xz-utils, zip, mbr, wakeonlan
Suggests: isc-dhcp-server | dhcp3-server
Recommends: wodim, ldap-utils
Description: LINBO PXE boot files
 This package contains the bootfiles and multicast startscripts
 for the Linux-based Network Boot (LINBO) boot/install/repair system.
 Installation and configuration of a DHCP, TFTP and RSYNC server, as well
 as udpcast, is highly recommended for this to work.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #
 # thomas@linuxmuster.net
-# 19.12.2014
+# 19.03.2015
 # GPL v3
 #
 
@@ -9,7 +9,7 @@
 
 CURDIR=$(shell pwd)
 
-LML_URL=http://linuxmuster.de/linbo-build-cache
+LML_URL=http://pkg.linuxmuster.net/linbo-build-cache
 
 # linbo version
 LVERS=$(shell head -n 1 debian/changelog | awk -F\( '{ print $$2 }' | awk -F\) '{ print $$1 }')
@@ -46,6 +46,11 @@
 E1000E_DIR=kernel/$(shell echo $(E1000E_ARCHIVE) | sed -e 's/.tar.gz//')
 E1000E_URL=http://downloadmirror.intel.com/15817/eng
 
+# broadcom tg3 driver
+TG3_ARCHIVE=$(shell grep tg3- debian/md5sums.src | awk '{ print $$2 }')
+TG3_DIR=kernel/$(shell echo $(TG3_ARCHIVE) | sed -e 's/.tar.gz//')
+TG3_URL=$(LML_URL)
+
 # qt
 QT_ARCHIVE=$(shell grep qt- debian/md5sums.src | awk '{ print $$2 }')
 QT_DIR=linbo_gui/$(shell echo $(QT_ARCHIVE) | sed -e 's/.tar.gz//')
@@ -202,6 +207,3 @@
 	# syslinux
 	-@if [ ! -d $(SYSLINUX_DIR) ]; then \
 		( [ -e cache/$(SYSLINUX_ARCHIVE) ] || ( cd cache && wget $(SYSLINUX_URL)/$(SYSLINUX_ARCHIVE) ) ); \
-		( cd cache && grep $(SYSLINUX_ARCHIVE) ../debian/md5sums.src | md5sum -c ); \
-		echo "[1mUnpacking $(SYSLINUX_ARCHIVE)...[0m" ; \
-		tar xf cache/$(SYSLINUX_ARCHIVE) -C src; \

## linuxmuster-linbo 2.3.56-0

=== debian/changelog ===
linuxmuster-linbo (2.3.56-0) babo62; urgency=low

  * grub console output fix on operating system boot.
  * fix time sync output.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 03 Feb 2020 18:03:01 +0100

linuxmuster-linbo (2.3.55-0) babo62; urgency=low

  * merged pr #124 from netzint:master
  * lmn7: mkgrubhostimg.py, fixed parsing host variables
  * linbo_cmd: moved rsync ecludes to file /etc/rsync.exclude

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 31 Jan 2020 20:20:06 +0100

linuxmuster-linbo (2.3.54-0) babo62; urgency=low

  * update-linbofs: add server's timezone file to linbofs.
  * init.sh: syncs time from server on linbo start.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 06 Dec 2019 11:32:55 +0100

linuxmuster-linbo (2.3.53-0) babo62; urgency=low

  * Fix #118: mount fallback.
  * Fix #117: start.conf are found on the lokal storage.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 14 Nov 2019 21:02:21 +0100

linuxmuster-linbo (2.3.52-0) babo62; urgency=low

  * Fix #115: Backup and restore of supplementalCredentials.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 17 Sep 2019 21:23:59 +0200

linuxmuster-linbo (2.3.51-0) babo62; urgency=low

  * improved swapfile excludes during image build.
  * splitted start.conf examples for lmn62 and lmn7.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 17 Jul 2019 16:04:59 +0200

linuxmuster-linbo (2.3.50-0) babo62; urgency=low

  * fixed user access rights for linuxmuster-win scripts on ntfs filesystems (#113).
  * lmn7 only: fixed missing function get_mac() in helperfunctions.sh (#112).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Tue, 09 Jul 2019 11:37:52 +0200

linuxmuster-linbo (2.3.49-0) babo62; urgency=low

  * added warning to start.conf examples (#111) and translated them to english.
  * fixed linbo_cmd: mk_linefiboot has wrong return value (#109).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 08 Jul 2019 18:29:57 +0200

linuxmuster-linbo (2.3.48-0) babo62; urgency=low

  * Fix #110: linbo-multicast v7, increase port counter is faulty.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sat, 06 Apr 2019 10:34:31 +0200

linuxmuster-linbo (2.3.47-0) babo62; urgency=low

  * Fix von Fix #108: sync+start fails with windows systems in offline mode.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 28 Mar 2019 14:24:53 +0100

linuxmuster-linbo (2.3.46-0) babo62; urgency=low

  * linbofs, linbo_cmd:
    - minor code beautifying.
    - Fix #108: sync+start fails with windows systems in offline mode.
  * lmn7 only:
    - Fix #89: update-linbofs warns and corrects unsecure permissions of ssh files,
      which differ from the standard.
    - postinst: Apply current server ip to start.conf examples on configured systems.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 27 Mar 2019 16:15:09 +0100

linuxmuster-linbo (2.3.45-0) babo62; urgency=low

  * lmn62: removed PubkeyAcceptedKeyTypes=+ssh-dss from ssh_config since it
    caused a bad configuration error.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 15 Mar 2019 15:45:04 +0100

linuxmuster-linbo (2.3.44-0) babo62; urgency=low

  * implemented RestoreOpsiState start.conf option to add the ability to restore
    the state of opsi products after linbo sync (#107).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 14 Mar 2019 19:26:23 +0100

linuxmuster-linbo (2.3.43-0) babo62; urgency=low

  * restore partition labels after sync (probably workaround for #102 & #106).
  * fix status in linbo-remote -l (#105).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Wed, 13 Mar 2019 10:26:40 +0100

linuxmuster-linbo (2.3.42-1) babo62; urgency=low

  * more init scripts fixes due to different linuxmuster versions.
  * rules file improvements.
  * win10.global.reg files improvements (#90).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 14 Jan 2019 21:30:01 +0100

linuxmuster-linbo (2.3.42-0) babo62; urgency=low

  * updated start.conf examples (#103).
  * lmn7 only: improved patching reg files with sambadomainname (#104).
  * updated win10.global.reg files with different linuxmuster.net 6.2 and 7 versions (#90).
  * fixed error when one image name is included as part of another (#95).
  * fixed device registration in lmn7 (#94).
  * fixed download of not existing rsync image (#88).
  * fixed issues with labels - only the udevadm part, not the reiserfs stuff (#85).
  * fix: If bit-torrent is not used, the missing file xenial.cloop.torrent causes the Linbo start to abort (#92).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Mon, 14 Jan 2019 18:10:53 +0100

linuxmuster-linbo (2.3.41-0) babo62; urgency=low

  * lmn7 only: patching reg files with sambadomainname (#104).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 13 Jan 2019 20:34:56 +0100

linuxmuster-linbo (2.3.40-0) babo62; urgency=low

  * fixed hostname patch for ubuntu clients, using short name.
  * force ext4 filesystem creation to avoid security prompt.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Fri, 21 Dec 2018 11:53:22 +0100

linuxmuster-linbo (2.3.39-1) babo62; urgency=low

  * rebuild.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 16 Dec 2018 14:00:54 +0100

linuxmuster-linbo (2.3.39-0) babo62; urgency=low

  * merged https://github.com/PLanB2008/linuxmuster-linbo.
  * improved nvme ssd recognition (#91).
  * modifications due to ubuntu 18.04 build environment.
  * linbo_cmd: handling clients fully qualified domainname.
  * partially translated console messages to english.
  * update to lts kernel 4.14.88 (#99).

 -- Thomas Schmitt <thomas@linuxmuster.net>  Sun, 16 Dec 2018 13:58:27 +0100

linuxmuster-linbo (2.3.38-0) babo62; urgency=low

  * lmn7: fixed missing prefix in grub-mkimage command for bios images in mkgrubhostimg.py.
  * nvm ssd recognition fix.

 -- Thomas Schmitt <thomas@linuxmuster.net>  Thu, 13 Sep 2018 09:00:54 +0200

linuxmuster-linbo (2.3.37-0) babo62; urgency=low

  * updated ntfs-3g to 2017.3.23.
  * updated chntpw download address.


=== debian/control ===
Source: linuxmuster-linbo
Section: admin
Priority: extra
Maintainer: Thomas Schmitt <thomas@linuxmuster.net>
Build-Depends: acl, bc, bison, build-essential, bvi, cloop-utils, coreutils,
 ctorrent, debhelper, dosfstools, dpkg-dev, dropbear-bin, e2fsprogs, efibootmgr,
 ethtool, fakeroot, flex, g++, gcc, gcc-multilib, g++-multilib, gdisk, gettext,
 grep, grub-common, grub-ipxe, grub-efi-amd64-bin, grub-pc-bin, gzip, hdparm,
 libacl1-dev, libattr1-dev, libaudio-dev, libcups2-dev, libdevmapper-dev,
 libelf-dev, libfontconfig1-dev, libfreetype6-dev, libfuse-dev, libgl1-mesa-dev,
 libglu1-mesa-dev, libice-dev, libiodbc2-dev, libjpeg-turbo8,
 libjpeg-turbo8-dev, libmng-dev, libmysqlclient-dev, libncurses5-dev,
 libnih-dbus1, libpng-dev, libpopt-dev, libpq-dev, libsm-dev, libsqlite3-dev,
 libstdc++6, libtiff5, libtiff5-dev, libx11-dev, libxcursor-dev, libxext-dev,
 libxft-dev, libxi-dev, libxinerama-dev, libxmu-dev, libxrandr-dev,
 libxrender-dev, libxt-dev, linux-libc-dev, nasm, ncurses-base, netpbm, parted,
 patchutils, perl, reiserfsprogs, rsync, systemd, sysvinit-utils, tar, udev,
 udpcast, unzip, util-linux, uuid-runtime, wget, zlib1g-dev, xz-utils, uuid-dev,
 binutils-multiarch, lib32stdc++-4.8-dev, lib32z1-dev, lib32readline-dev,
 lib32ncurses5-dev, libattr1:i386, libblkid1:i386, libselinux1:i386,
 libmount1:i386, libacl1:i386, libkmod2:i386, libdbus-1-3:i386, libnih1:i386,
 libnih-dbus1:i386, libudev1:i386, libdevmapper1.02.1:i386, liblzma5:i386,
 linux-libc-dev:i386

Package: linuxmuster-linbo
Architecture: all
Conflicts: linuxmuster-linbo7, atftpd
Depends: linuxmuster-base (>= 6.2.0), linuxmuster-linbo-common (>= 2.3.13), tftpd-hpa (>= 5.2-1ubuntu1fifopatch)
Suggests: isc-dhcp-server | dhcp3-server
Description: linuxmuster-linbo scripts
 This package contains the scripts for the Linux-based Network Boot
 (LINBO) boot/install/repair system.

Package: linuxmuster-linbo-common
Architecture: all
Replaces: linuxmuster-linbo (<< 2.3.25-0)
Breaks: linuxmuster-linbo (<< 2.3.25-0)
Depends: dropbear, rsync (>= 3), bittorrent, isolinux (>= 6.03), syslinux-common (>= 6.03), syslinux-utils (>= 6.03), ssh, sed, screen, xorriso (>= 1.4.2), dosfstools, udpcast, xz-utils, zip, mbr, wakeonlan
Description: linuxmuster-linbo common files: kernel, initrd and pxe boot configuration

Package: linuxmuster-linbo-common7
Architecture: all
Replaces: linuxmuster-linbo-common, linuxmuster-linbo7 (<< 2.3.25-0)
Breaks: linuxmuster-linbo-common, linuxmuster-linbo7 (<< 2.3.25-0)
Depends: dropbear-bin, rsync (>= 3), bittorrent, isolinux (>= 6.03), syslinux-common (>= 6.03), syslinux-utils (>= 6.03), ssh, sed, screen, xorriso (>= 1.4.2), dosfstools, udpcast, xz-utils, zip, mbr, wakeonlan
Description: linuxmuster-linbo common files: kernel, initrd and pxe boot configuration

Package: linuxmuster-linbo7
Architecture: all
Conflicts: linuxmuster-linbo, atftpd
Depends: linuxmuster-base7, python3, linuxmuster-linbo-common7 (>= 2.3.13), grub-common, grub-ipxe, grub-efi-ia32-bin, grub-efi-amd64-bin, tftpd-hpa (>= 5.2+20150808-1ubuntu1fifopatch)
Suggests: isc-dhcp-server | dhcp3-server
Description: linuxmuster-linbo scripts
 This package contains the scripts for the Linux-based Network Boot
 (LINBO) boot/install/repair system.
